Subject: In-vitro diagnostics registration in Estonia
From: Līga Meldere <[email-masked]>
To: "TA Info" <[email-masked]>
Date: Tue, 11 Jun 2024 13:46:16 +0300

Tähelepanu! Tegemist on väljastpoolt asutust saabunud kirjaga. Tundmatu
saatja korral palume linke ja faile mitte avada.

Good afternoon!
My name is Līga Meldere, I'm working in a company that manufactures
medical devices and we are located in Latvia.
We would like to register In - vitro diagnostics kits in Estonia and I
would like to know what kind of documentation we need to do that.
Is there any website to that and is there any registration fee?
Could you please describe the process itself?

I would really appreciate your support and help!

Best regards,
Līga Meldere
Quality control specialist
+371 28477838
simurg-balticum.com